
%% Skript pro segmetnaci DICOM souborů metodou narůstání oblastí. %%
%Veronika Smékalová, 2018
%do skriptu je nutné doplnit cestu k datům

clc,close all, clear all;

%% načtení dat do matice
dirname = '\';            %cesta k souborům
filename = dir([ dirname '*.dcm']);                 %struktura s názvy souborů ve složce
for n = 1:length(filename);
    soubory = filename(n,1).name;                   %řetězec s názvy jednotlivých souborů DICOM 
    CTmat(:,:,n) = dicomread([dirname soubory]);    %matice s načtenými soubory
end

%% zavolání funkce regionGrowing_3D
Im = im2double(CTmat);
[P,J] = regionGrowing_3D(Im,[493,690,1],0.065,Inf,false,true); %zavolání funkce narůstání oblastí
%počáteční semínko - 493,690,1
%nastavený práh 0,065                    

% imshow(CTmat(:,:,1),[])

%% uložení binárních obrazů 
J = im2double(J);
for p =1:n
   imwrite(J(:,:,p),sprintf('jatra_2431WT_narust_%d.tif',p),'Compression','none');    
end                                                                             
